package com.loafle.overflow.spring;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;
import org.springframework.jdbc.core.JdbcTemplate;

import javax.sql.DataSource;

import static org.junit.Assert.*;

/**
 * Created by geek on 17. 8. 8.
 */
@Configuration
@Profile("test")
public class AppConfigTest {

    @Autowired
    private DataSource configureDataSource;

    @Bean
    public JdbcTemplate jdbcTemplate() {
        JdbcTemplate template = new JdbcTemplate();
        template.setDataSource(configureDataSource);
        return template;
    }
}